# Uses of Class
org.springframework.web.method.HandlerMethod

Packages that use HandlerMethod
Package
Description
org.springframework.web.method
Common infrastructure for handler method processing, as used by Spring MVC's `org.springframework.web.servlet.mvc.method` package.
org.springframework.web.method.annotation
Support classes for annotation-based handler method processing.
org.springframework.web.method.support
Generic support classes for handler method processing.

## Uses of HandlerMethod in org.springframework.web.method

Methods in org.springframework.web.method that return HandlerMethod
Modifier and Type
Method
Description
`HandlerMethod`
HandlerMethod.`createWithResolvedBean()`
If the `handler` is a bean name rather than the actual handler instance, resolve the bean name through Spring configuration (e.g.
`HandlerMethod`
HandlerMethod.`createWithValidateFlags()`
Re-create the HandlerMethod and initialize `shouldValidateArguments()` and `shouldValidateReturnValue()`.
`HandlerMethod`
HandlerMethod.`getResolvedFromHandlerMethod()`
Return the original HandlerMethod instance that from which the current HandlerMethod instance was created via either `createWithValidateFlags()` or `createWithResolvedBean()`.
Constructors in org.springframework.web.method with parameters of type HandlerMethod
Modifier
Constructor
Description
`protected`
`HandlerMethod(HandlerMethod handlerMethod)`
Copy constructor for use in subclasses.
`protected`
`HandlerMethod(HandlerMethod handlerMethod, Object handler, boolean initValidateFlags)`
Re-create new HandlerMethod instance that copies the given HandlerMethod but replaces the handler, and optionally checks for the presence of validation annotations.

## Uses of HandlerMethod in org.springframework.web.method.annotation

Methods in org.springframework.web.method.annotation with parameters of type HandlerMethod
Modifier and Type
Method
Description
`void`
ModelFactory.`initModel(NativeWebRequest request, ModelAndViewContainer container, HandlerMethod handlerMethod)`
Populate the model in the following order: Retrieve "known" session attributes listed as `@SessionAttributes`.
`protected boolean`
InitBinderDataBinderFactory.`isBinderMethodApplicable(HandlerMethod initBinderMethod, WebDataBinder dataBinder)`
Determine whether the given `@InitBinder` method should be used to initialize the given `WebDataBinder` instance.

## Uses of HandlerMethod in org.springframework.web.method.support

Subclasses of HandlerMethod in org.springframework.web.method.support
Modifier and Type
Class
Description
`class`
`InvocableHandlerMethod`
Extension of `HandlerMethod` that invokes the underlying method with argument values resolved from the current HTTP request through a list of `HandlerMethodArgumentResolver`.
Constructors in org.springframework.web.method.support with parameters of type HandlerMethod
Modifier
Constructor
Description
``
`InvocableHandlerMethod(HandlerMethod handlerMethod)`
Create an instance from a `HandlerMethod`.